Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1886478 - Review Request: rust-foreign-types-macros - Internal crate used by foreign-types
Summary: Review Request: rust-foreign-types-macros - Internal crate used by foreign-types
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stefano Figura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1685239
TreeView+ depends on / blocked
 
Reported: 2020-10-08 14:26 UTC by Fabio Valentini
Modified: 2020-10-10 22:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-10 22:42:14 UTC
Type: ---
stefano: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2020-10-08 14:26:09 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/rust-foreign-types-macros.spec
SRPM URL: https://decathorpe.fedorapeople.org/packages/rust-foreign-types-macros-0.2.1-1.fc32.src.rpm

Description:
Internal crate used by foreign-types.

Fedora Account System Username: decathorpe

koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=53000976

Comment 1 Stefano Figura 2020-10-10 12:59:19 UTC
- ACCEPT
- Looks go to me!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 7 files have unknown
     license. Detailed output of licensecheck in
     /var/home/returntrip/devel/packaging/reviews/1886478-rust-foreign-
     types-macros/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rust-
     foreign-types-macros-devel , rust-foreign-types-macros+default-devel ,
     rust-foreign-types-macros+std-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rust-foreign-types-macros-devel-0.2.1-1.fc34.noarch.rpm
          rust-foreign-types-macros+default-devel-0.2.1-1.fc34.noarch.rpm
          rust-foreign-types-macros+std-devel-0.2.1-1.fc34.noarch.rpm
          rust-foreign-types-macros-0.2.1-1.fc34.src.rpm
rust-foreign-types-macros-devel.noarch: W: invalid-url URL: https://crates.io/crates/foreign-types-macros HTTP Error 404: Not Found
rust-foreign-types-macros-devel.noarch: W: no-documentation
rust-foreign-types-macros-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/foreign-types-macros-0.2.1/.cargo-checksum.json
rust-foreign-types-macros+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/foreign-types-macros HTTP Error 404: Not Found
rust-foreign-types-macros+default-devel.noarch: W: no-documentation
rust-foreign-types-macros+std-devel.noarch: W: invalid-url URL: https://crates.io/crates/foreign-types-macros HTTP Error 404: Not Found
rust-foreign-types-macros+std-devel.noarch: W: no-documentation
rust-foreign-types-macros.src: W: invalid-url URL: https://crates.io/crates/foreign-types-macros HTTP Error 404: Not Found
4 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
rust-foreign-types-macros+std-devel.noarch: W: invalid-url URL: https://crates.io/crates/foreign-types-macros <urlopen error [Errno -3] Temporary failure in name resolution>
rust-foreign-types-macros+std-devel.noarch: W: no-documentation
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
rust-foreign-types-macros+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/foreign-types-macros <urlopen error [Errno -3] Temporary failure in name resolution>
rust-foreign-types-macros+default-devel.noarch: W: no-documentation
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
rust-foreign-types-macros-devel.noarch: W: invalid-url URL: https://crates.io/crates/foreign-types-macros <urlopen error [Errno -3] Temporary failure in name resolution>
rust-foreign-types-macros-devel.noarch: W: no-documentation
rust-foreign-types-macros-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/foreign-types-macros-0.2.1/.cargo-checksum.json
3 packages and 0 specfiles checked; 0 errors, 7 warnings.



Source checksums
----------------
https://crates.io/api/v1/crates/foreign-types-macros/0.2.1/download#/foreign-types-macros-0.2.1.crate :
  CHECKSUM(SHA256) this package     : 63f713f8b2aa9e24fec85b0e290c56caee12e3b6ae0aeeda238a75b28251afd6
  CHECKSUM(SHA256) upstream package : 63f713f8b2aa9e24fec85b0e290c56caee12e3b6ae0aeeda238a75b28251afd6


Requires
--------
rust-foreign-types-macros-devel (rpmlib, GLIBC filtered):
    (crate(proc-macro2/default) >= 1.0.0 with crate(proc-macro2/default) < 2.0.0)
    (crate(quote/default) >= 1.0.0 with crate(quote/default) < 2.0.0)
    (crate(syn/default) >= 1.0.0 with crate(syn/default) < 2.0.0)
    cargo

rust-foreign-types-macros+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(foreign-types-macros)

rust-foreign-types-macros+std-devel (rpmlib, GLIBC filtered):
    cargo
    crate(foreign-types-macros)



Provides
--------
rust-foreign-types-macros-devel:
    crate(foreign-types-macros)
    rust-foreign-types-macros-devel

rust-foreign-types-macros+default-devel:
    crate(foreign-types-macros/default)
    rust-foreign-types-macros+default-devel

rust-foreign-types-macros+std-devel:
    crate(foreign-types-macros/std)
    rust-foreign-types-macros+std-devel



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1886478
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Haskell, SugarActivity, Perl, Ocaml, Python, PHP, R, Java, fonts, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Fabio Valentini 2020-10-10 15:19:47 UTC
Thanks for the review!
https://pagure.io/releng/fedora-scm-requests/issue/29625

Everything else is now also in place:

- pull request to update foreign-types to version 0.5.0 (not yet merged):
https://src.fedoraproject.org/rpms/rust-foreign-types/pull-request/1

- pull request to update foreign-types-shared to version 0.3.0 (not yet merged):
https://src.fedoraproject.org/rpms/rust-foreign-types-shared/pull-request/1

- compat package for foreign-types 0.3 (not yet built):
https://src.fedoraproject.org/rpms/rust-foreign-types0.3/c/08930f0126f9f2ad15e9425eb94aabdc6ced7dc3?branch=master

- compat package for foreign-types 0.1 (not yet built):
https://src.fedoraproject.org/rpms/rust-foreign-types-shared0.1/c/c49f233df81f9034d571797af0036385c7b54f4e?branch=master

I created the compat packages with "rust2rpm -s foreign-types 0.3.2 --suffix 0.3" and "rust2rpm -s foreign-types-shared 0.1.0 --suffix 0.1" and then merged changes from the existing fedora packages. Then I requested the repos with "fedpkg request-repo --exception" to circumvent the review process (which is not necessary for compat packages).

Comment 3 Gwyn Ciesla 2020-10-10 21:31:35 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-foreign-types-macros

Comment 4 Fedora Update System 2020-10-10 22:42:14 UTC
FEDORA-2020-38a53d1866 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.